Productsup
CDE APIApi referenceIndividual config

Create a connector individual config

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions/{connectorVersion}/individual-configs

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/individual-configs" \  -H "Content-Type: application/json" \  -d '{    "command-option": "new-option",    "field-type": "input",    "field-name": "New option",    "field-required": false,    "field-placeholder": "Some new option",    "field-description": "Something",    "field-default-value": "",    "field-config": "config",    "order": null  }'
{
  "message": "Individual configuration added."
}
{
  "message": "Bad request.",
  "errors": {
    "command-option": "This value should not be blank.",
    "field-type": "This value should not be blank.",
    "field-name": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?